Lavalite package that provides analytic management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `lavalite/analytic`.

    "lavalite/analytic": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Lavalite\Analytic\Providers\AnalyticServiceProvider::class,

And also add it to alias

    'Analytic'  => Lavalite\Analytic\Facades\Analytic::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Lavalite\\AnalyticTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Lavalite\Analytic\Providers\AnalyticServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Lavalite\Analytic\Providers\AnalyticServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Lavalite\Analytic\Providers\AnalyticServiceProvider" --tag="view"


## Usage


