<?php

namespace Lavalite\Analytic\Repositories\Eloquent;

use Lavalite\Analytic\Interfaces\TestRepositoryInterface;
use Litepie\Repository\Eloquent\BaseRepository;

class TestRepository extends BaseRepository implements TestRepositoryInterface
{


    public function boot()
    {
        $this->fieldSearchable = config('lavalite.analytic.test.model.search');

    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('lavalite.analytic.test.model.model');
    }
}
